SSL_SESSION_GET_ID(3)

NAME
SSL_SESSION_get_id - get the SSL session ID

SYNOPSIS
#include <openssl/ssl.h>
const unsigned char *
SSL_SESSION_get_id(const SSL_SESSION *s, unsigned int *len);

DESCRIPTION
SSL_SESSION_get_id() returns a pointer to the internal session id value for the session s. The length of the id in bytes is stored in *len. The length may be 0. The caller should not free the returned pointer directly.

SEE ALSO
ssl(3), SSL_copy_session_id(3), SSL_get_session(3), SSL_SESSION_new(3)